- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages
- Examples

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# format_output_iterator Class Template Reference

`#include <fastformat/iterators/format_iterator.hpp>`

List of all members.

## Detailed Description

### template<typename S, typename F, typename A1, typename A2, typename A3, typename A4, typename A5, typename A6, typename A7, typename A8>
class fastformat::iterators::format_output_iterator< S, F, A1, A2, A3, A4, A5, A6, A7, A8 >

This class template defines an output iterator that writes to a given sink using fastformat::fmt().

For examples of usage, see the fastformat::format_iterator() creator function.

## Public Types
typedef format_output_iterator < S, F, A1, A2, A3, A4, A5, A6, A7, A8 > | class_type
| This type.
typedef S | sink_type
| The sink type.
typedef F | format_type
| The format type.
## Public Member Functions
| format_output_iterator (sink_type &sink, format_type const &format)
| Constructor.
| format_output_iterator (sink_type &sink, format_type const &format, unsigned n, A1 const &arg1, A2 const &arg2=no_arg_ref_(), A3 const &arg3=no_arg_ref_(), A4 const &arg4=no_arg_ref_(), A5 const &arg5=no_arg_ref_(), A6 const &arg6=no_arg_ref_(), A7 const &arg7=no_arg_ref_(), A8 const &arg8=no_arg_ref_())
| Constructor taking 1-8 additional format parameters.
deref_proxy | operator * ()
| Dereference operator.
class_type & | operator++ ()
| Pre-increment operator.
class_type | operator++ (int)
| Post-increment operator.
## Classes
class | deref_proxy
| Dereference Proxy for `fastformat::iterators::format_output_iterator`

## Member Typedef Documentation

typedef format_output_iterator<S, F, A1, A2, A3, A4, A5, A6, A7, A8> class_type

This type.

typedef S sink_type

The sink type.

typedef F format_type

The format type.

## Constructor & Destructor Documentation

format_output_iterator | ( | sink_type & | sink,
|  | format_type const & | format |
| ) |  |  | `[inline]`

Constructor.

format_output_iterator | ( | sink_type & | sink,
|  | format_type const & | format,
|  | unsigned | n,
|  | A1 const & | arg1,
|  | A2 const & | arg2 = `no_arg_ref_()`,
|  | A3 const & | arg3 = `no_arg_ref_()`,
|  | A4 const & | arg4 = `no_arg_ref_()`,
|  | A5 const & | arg5 = `no_arg_ref_()`,
|  | A6 const & | arg6 = `no_arg_ref_()`,
|  | A7 const & | arg7 = `no_arg_ref_()`,
|  | A8 const & | arg8 = `no_arg_ref_()` |
| ) |  |  | `[inline]`

Constructor taking 1-8 additional format parameters.

## Member Function Documentation

deref_proxy operator * | ( |  | ) | `[inline]`

Dereference operator.

class_type& operator++ | ( |  | ) | `[inline]`

Pre-increment operator.

class_type operator++ | ( | int |  | ) | `[inline]`

Post-increment operator.

The documentation for this class was generated from the following file:

- fastformat/iterators/format_iterator.hpp

FastFormat Library documentation © Matthew Wilson, 2006-2009 |